RSS   Vulnerabilities for 'An-httpd'   RSS

2006-04-03
 
CVE-2006-1598

 

 
AN HTTPD 1.42n, and possibly other versions before 1.42p, allows remote attackers to obtain source code of scripts via crafted requests with (1) dot and (2) space characters in the file extension.

 
2005-04-07
 
CVE-2005-1087

 

 
CRLF injection vulnerability in the cmdIS.DLL plugin for AN HTTPD Server 1.42n allows remote attackers to spoof or hide entries in the logfile, and possibly read files using an injected type command, via CRLF sequences in an HTTP request.

 
2005-05-02
 
CVE-2005-1086

 

 
Buffer overflow in the cmdIS.DLL plugin for AN HTTPD Server 1.42n allows remote attackers to execute arbitrary code via an HTTP request with a long User-Agent header.

 
2002-12-31
 
CVE-2002-1930

 

 
Buffer overflow in AN HTTPd 1.38 through 1.4.1c allows remote attackers to execute arbitrary code via a SOCKS4 request with a long username.

 
1999-11-02
 
CVE-1999-0947

 

 
AN-HTTPd provides example CGI scripts test.bat, input.bat, input2.bat, and envout.bat, which allow remote attackers to execute commands via shell metacharacters.

 

 >>> Vendor: AN 2 Products
An-httpd
An-http


Copyright 2017, cxsecurity.com